## org.codehaus.plexus.util.interpolation
Class ObjectBasedValueSource

    java.lang.Object
      org.codehaus.plexus.interpolation.AbstractValueSource
          org.codehaus.plexus.interpolation.ObjectBasedValueSource
              org.codehaus.plexus.util.interpolation.ObjectBasedValueSource

All Implemented Interfaces:
  org.codehaus.plexus.interpolation.ValueSource

Deprecated. Use plexus-interpolation APIs instead.

    public class ObjectBasedValueSource

extends org.codehaus.plexus.interpolation.ObjectBasedValueSource

Version:
  $Id: ObjectBasedValueSource.java 8010 2009-01-07 12:59:50Z vsiveton $

Constructor Summary
`ObjectBasedValueSource(java.lang.Object root)` Deprecated.

Method Summary

Methods inherited from class org.codehaus.plexus.interpolation.ObjectBasedValueSource
`getValue`

Methods inherited from class org.codehaus.plexus.interpolation.AbstractValueSource
`addFeedback, addFeedback, clearFeedback, getFeedback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectBasedValueSource

    public ObjectBasedValueSource(java.lang.Object root)

  Deprecated.